Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface PropertyEditContext

All Superinterfaces:
  AnnotationProvider

    public interface PropertyEditContext

extends AnnotationProvider

Defines a context for editing a property of a bean via `BeanEditor`. This value is made available to blocks via the `Environmental` annotation.

See Also:
  `BeanBlockSource`

Method Summary
`Messages` | `getContainerMessages()` Returns the message catalog for the container of the `BeanEditForm`, which is the correct place to look for strings used for labels, etc.
`java.lang.String` | `getLabel()` Returns the user-presentable label, for use with the `Label` component, or to be integrated into any validation error messages.
`java.lang.String` | `getPropertyId()` Returns a string that identifies the property, usually the property name.
`java.lang.Class` | `getPropertyType()` Returns the type of the property being edited.
`java.lang.Object` | `getPropertyValue()` Returns the current value of the property being edited (the context encapsulates the object containing the property).
`FieldTranslator` | `getTranslator(Field field)` Returns the translator appropriate for the field (this is based on the property type).
`FieldValidator` | `getValidator(Field field)` Returns the FieldValidator for the field.
`void` | `setPropertyValue(java.lang.Object value)` Updates the value of the property being edited (the context encapsulates the object containing the property).

Methods inherited from interface org.apache.tapestry5.ioc.AnnotationProvider
`getAnnotation`

Method Detail

### getPropertyValue

    java.lang.Object getPropertyValue()

  Returns the current value of the property being edited (the context encapsulates the object containing the property).

### setPropertyValue

    void setPropertyValue(java.lang.Object value)

  Updates the value of the property being edited (the context encapsulates the object containing the property).

  Parameters:
    `value` - new value for the property

### getLabel

    java.lang.String getLabel()

  Returns the user-presentable label, for use with the `Label` component, or to be integrated into any validation error messages.

### getTranslator

    FieldTranslator getTranslator(Field field)

  Returns the translator appropriate for the field (this is based on the property type).

  Parameters:
    `field` -
  See Also:
    `TranslatorSource`

### getValidator

    FieldValidator getValidator(Field field)

  Returns the FieldValidator for the field.

  See Also:
    `Validate`, `FieldValidatorDefaultSource`

### getPropertyId

    java.lang.String getPropertyId()

  Returns a string that identifies the property, usually the property name. This is used as the basis for the client-side client id.

### getPropertyType

    java.lang.Class getPropertyType()

  Returns the type of the property being edited.

### getContainerMessages

    Messages getContainerMessages()

  Returns the message catalog for the container of the `BeanEditForm`, which is the correct place to look for strings used for labels, etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.